Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
AbstractComputeProperty Struct Reference

`#include <ThreadedComputeProperty.h>`

Inheritance diagram for AbstractComputeProperty:
[legend]

List of all members.

## Public Member Functions

- AbstractComputeProperty (tlp::Graph *graph, std::string name, std::string &errorMsg, tlp::PluginProgress *progress, tlp::DataSet *dataset)
- virtual bool run ()=0

## Protected Attributes

- tlp::Graph * _graph
- std::string _name
- std::string & _errorMsg
- tlp::PluginProgress * _progress
- tlp::DataSet * _dataset

## Constructor & Destructor Documentation

AbstractComputeProperty::AbstractComputeProperty | ( | tlp::Graph * | graph,
|  | std::string | name,
|  | std::string & | errorMsg,
|  | tlp::PluginProgress * | progress,
|  | tlp::DataSet * | dataset
| ) |  | `[explicit]`

## Member Function Documentation

virtual bool AbstractComputeProperty::run | ( |  | ) | `[pure virtual]`

Implemented in ComputePropertyTemplate< PropertyType >.

## Member Data Documentation

tlp::DataSet* AbstractComputeProperty::_dataset`[protected]`

std::string& AbstractComputeProperty::_errorMsg`[protected]`

tlp::Graph* AbstractComputeProperty::_graph`[protected]`

std::string AbstractComputeProperty::_name`[protected]`

tlp::PluginProgress* AbstractComputeProperty::_progress`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012